Index: conv/iges/add_face.cpp
===================================================================
--- conv/iges/add_face.cpp	(revision 54048)
+++ conv/iges/add_face.cpp	(working copy)
@@ -101,7 +101,7 @@
     }
 
     err :
-	bu_free((char *)loop_de , "Add_face_to_shell: loop DE's");
+	bu_free((genptr_t)loop_de , "Add_face_to_shell: loop DE's");
     return fu;
 }
 
Index: conv/iges/b-spline.c
===================================================================
--- conv/iges/b-spline.c	(revision 54048)
+++ conv/iges/b-spline.c	(working copy)
@@ -47,7 +47,7 @@
     }
 
     if (numknots)
-	bu_free((char *)knots, "Knot: knots");
+	bu_free((genptr_t)knots, "Knot: knots");
 
     knots = (fastf_t *)bu_calloc(n, sizeof(fastf_t), "Knot: knots");
 
@@ -62,7 +62,7 @@
 void
 Freeknots(void)
 {
-    bu_free((char *)knots, "Freeknots: knots");
+    bu_free((genptr_t)knots, "Freeknots: knots");
     numknots = 0;
 }
 
Index: conv/iges/extrude.c
===================================================================
--- conv/iges/extrude.c	(revision 54048)
+++ conv/iges/extrude.c	(working copy)
@@ -121,20 +121,20 @@
 	    if (nmg_calc_face_g(fu)) {
 		bu_log("Extrude: Failed to calculate face geometry\n");
 		nmg_km(m);
-		bu_free((char *)curv_pts, "curve_pts");
+		bu_free((genptr_t)curv_pts, "curve_pts");
 		return 0;
 	    }
 
 	    if (nmg_extrude_face(fu, evect, &tol)) {
 		bu_log("Extrude: extrusion failed\n");
 		nmg_km(m);
-		bu_free((char *)curv_pts, "curve_pts");
+		bu_free((genptr_t)curv_pts, "curve_pts");
 		return 0;
 	    }
 
 	    mk_bot_from_nmg(fdout, dir[entityno]->name, s);
 	    nmg_km(m);
-	    bu_free((char *)curv_pts, "curve_pts");
+	    bu_free((genptr_t)curv_pts, "curve_pts");
 
 	    return 1;
 	}
Index: conv/iges/make_nurb_face.c
===================================================================
--- conv/iges/make_nurb_face.c	(revision 54048)
+++ conv/iges/make_nurb_face.c	(working copy)
@@ -299,7 +299,7 @@
 
 		    tmp_crv = BU_LIST_FIRST(edge_g_cnurb, &split_hd);
 		    BU_LIST_DEQUEUE(&tmp_crv->l);
-		    bu_free((char *)tmp_crv, "Add_nurb_loop_to_face: tmp_crv");
+		    bu_free((genptr_t)tmp_crv, "Add_nurb_loop_to_face: tmp_crv");
 		}
 	    } else {
 		nmg_vertexuse_a_cnurb(eu->vu_p, start_uv);
@@ -311,9 +311,9 @@
 		    Assign_cnurb_to_eu(eu, crv);
 	    }
 
-	    bu_free((char *)crv->k.knots, "Add_nurb_loop_to_face: crv->k.knots");
-	    bu_free((char *)crv->ctl_points, "Add_nurb_loop_to_face: crv->ctl_points");
-	    bu_free((char *)crv, "Add_nurb_loop_to_face: crv");
+	    bu_free((genptr_t)crv->k.knots, "Add_nurb_loop_to_face: crv->k.knots");
+	    bu_free((genptr_t)crv->ctl_points, "Add_nurb_loop_to_face: crv->ctl_points");
+	    bu_free((genptr_t)crv, "Add_nurb_loop_to_face: crv");
 
 	    if (new_eu)
 		eu = new_eu;
Index: conv/iges/evalxform.c
===================================================================
--- conv/iges/evalxform.c	(revision 54048)
+++ conv/iges/evalxform.c	(working copy)
@@ -97,7 +97,7 @@
 	    while (ptr) {
 		ptr1 = ptr;
 		ptr = ptr->prev;
-		bu_free((char *)ptr1, "Evalxform: ptr1");
+		bu_free((genptr_t)ptr1, "Evalxform: ptr1");
 	    }
 	}
     }
Index: conv/iges/add_face.c
===================================================================
--- conv/iges/add_face.c	(revision 54048)
+++ conv/iges/add_face.c	(working copy)
@@ -90,7 +90,7 @@
     }
 
     err :
-	bu_free((char *)loop_de, "Add_face_to_shell: loop DE's");
+	bu_free((genptr_t)loop_de, "Add_face_to_shell: loop DE's");
     return fu;
 }
 
Index: conv/iges/orient_loops.c
===================================================================
--- conv/iges/orient_loops.c	(revision 54048)
+++ conv/iges/orient_loops.c	(working copy)
@@ -89,7 +89,7 @@
 			lptr->inner_loops = inner1->next;
 
 		    inner1 = inner1->next;
-		    bu_free((char *)tmp, "Find_inner_loops: tmp");
+		    bu_free((genptr_t)tmp, "Find_inner_loops: tmp");
 		    deleted = 1;
 		}
 	    }
Index: conv/iges/main.c
===================================================================
--- conv/iges/main.c	(revision 54048)
+++ conv/iges/main.c	(working copy)
@@ -306,8 +306,8 @@
 	    bu_mem_barriercheck();
 
 	BU_LIST_DEQUEUE(&curr_file->l);
-	bu_free((char *)curr_file->file_name, "iges-g: curr_file->file_name");
-	bu_free((char *)curr_file, "iges-g: curr_file");
+	bu_free((genptr_t)curr_file->file_name, "iges-g: curr_file->file_name");
+	bu_free((genptr_t)curr_file, "iges-g: curr_file");
 	file_count++;
 
 	if (RT_G_DEBUG & DEBUG_MEM_FULL)
Index: conv/iges/getcurve.c
===================================================================
--- conv/iges/getcurve.c	(revision 54048)
+++ conv/iges/getcurve.c	(working copy)
@@ -160,7 +160,7 @@
 		ptr->prev = prev;
 	    }
 	    ptr = prev;
-	    bu_free((char *)ptr->next, "Getcurve: ptr->next");
+	    bu_free((genptr_t)ptr->next, "Getcurve: ptr->next");
 	    ptr->next = NULL;
 	    break;
 	}
@@ -216,7 +216,7 @@
 			ptr->next = NULL;
 		    }
 		    ptr = ptr->prev;
-		    bu_free((char *)ptr->next, "Getcurve: ptr->next");
+		    bu_free((genptr_t)ptr->next, "Getcurve: ptr->next");
 		    ptr->next = NULL;
 		    npts = ntuples;
 		    break;
@@ -246,7 +246,7 @@
 			ptr->prev = prev;
 		    }
 		    ptr = ptr->prev;
-		    bu_free((char *)ptr->next, "Getcurve: ptr->next");
+		    bu_free((genptr_t)ptr->next, "Getcurve: ptr->next");
 		    ptr->next = NULL;
 		    npts = ntuples;
 		    break;
@@ -351,7 +351,7 @@
 		seg = seg->next;
 	    }
 	    ptr = ptr->prev;
-	    bu_free((char *)ptr->next, "Getcurve: ptr->next");
+	    bu_free((genptr_t)ptr->next, "Getcurve: ptr->next");
 	    ptr->next = NULL;
 
 	    /* free the used memory */
@@ -359,9 +359,9 @@
 	    while (seg != NULL) {
 		seg1 = seg;
 		seg = seg->next;
-		bu_free((char *)seg1, "Getcurve: seg1");
+		bu_free((genptr_t)seg1, "Getcurve: seg1");
 	    }
-	    bu_free((char *)splroot, "Getcurve: splroot");
+	    bu_free((genptr_t)splroot, "Getcurve: splroot");
 	    splroot = NULL;
 
 	    break;
@@ -736,7 +736,7 @@
 			ptr->next = ptr->next->next;
 			if (ptr->next != NULL)
 			    ptr->next->prev = ptr;
-			bu_free((char *)tmp_ptr, "Getcurve: tmp_ptr");
+			bu_free((genptr_t)tmp_ptr, "Getcurve: tmp_ptr");
 			npts--;
 		    }
 		}
@@ -825,9 +825,9 @@
 
 	    /* Free memory */
 	    Freeknots();
-	    bu_free((char *)cntrl_pts, "Getcurve: spline cntrl_pts");
-	    bu_free((char *)w, "Getcurve: spline w");
-	    bu_free((char *)t, "Getcurve: spline t");
+	    bu_free((genptr_t)cntrl_pts, "Getcurve: spline cntrl_pts");
+	    bu_free((genptr_t)w, "Getcurve: spline w");
+	    bu_free((genptr_t)t, "Getcurve: spline t");
 
 	    break;
 	}
Index: conv/iges/brep.cpp
===================================================================
--- conv/iges/brep.cpp	(revision 54048)
+++ conv/iges/brep.cpp	(working copy)
@@ -115,23 +115,23 @@
     }
 
     if (num_of_voids) {
-	bu_free((char *)void_shell_de , "BREP: void shell DE's");
-	bu_free((char *)void_orient , "BREP: void shell orients");
-	bu_free((char *)void_shells , "brep: void shell list");
+	bu_free((genptr_t)void_shell_de , "BREP: void shell DE's");
+	bu_free((genptr_t)void_orient , "BREP: void shell orients");
+	bu_free((genptr_t)void_shells , "brep: void shell list");
     }
 
     v_list = vertex_root;
     while (v_list != NULL) {
-	bu_free((char *)v_list->i_verts , "brep: iges_vertex");
-	bu_free((char *)v_list , "brep: vertex list");
+	bu_free((genptr_t)v_list->i_verts , "brep: iges_vertex");
+	bu_free((genptr_t)v_list , "brep: vertex list");
 	v_list = v_list->next;
     }
     vertex_root = NULL;
 
     e_list = edge_root;
     while (e_list != NULL) {
-	bu_free((char *)e_list->i_edge , "brep:iges_edge");
-	bu_free((char *)e_list , "brep: edge list");
+	bu_free((genptr_t)e_list->i_edge , "brep:iges_edge");
+	bu_free((genptr_t)e_list , "brep: edge list");
 	e_list = e_list->next;
     }
     edge_root = NULL;
@@ -139,9 +139,9 @@
 
     err :
 	if (num_of_voids) {
-	    bu_free((char *)void_shell_de , "BREP: void shell DE's");
-	    bu_free((char *)void_orient , "BREP: void shell orients");
-	    bu_free((char *)void_shells , "brep: void shell list");
+	    bu_free((genptr_t)void_shell_de , "BREP: void shell DE's");
+	    bu_free((genptr_t)void_orient , "BREP: void shell orients");
+	    bu_free((genptr_t)void_shells , "brep: void shell list");
 	}
     nmg_km(m);
     return 0;
Index: conv/iges/make_face.c
===================================================================
--- conv/iges/make_face.c	(revision 54048)
+++ conv/iges/make_face.c	(working copy)
@@ -178,8 +178,8 @@
 	bu_log("No edges left!\n");
 
 err:
-    bu_free((char *)edge_list, "Make_face (edge_list)");
-    bu_free((char *)verts, "Make_face (vertexlist)");
+    bu_free((genptr_t)edge_list, "Make_face (edge_list)");
+    bu_free((genptr_t)verts, "Make_face (vertexlist)");
     return fu;
 }
 
Index: conv/g-dot.c
===================================================================
--- conv/g-dot.c	(revision 54048)
+++ conv/g-dot.c	(working copy)
@@ -129,7 +129,7 @@
 	bu_vls_free(&vls);
 
 	if (rt_tree_array)
-	    bu_free((char *)rt_tree_array, "printnode: rt_tree_array");
+	    bu_free((genptr_t)rt_tree_array, "printnode: rt_tree_array");
     }
 
     rt_db_free_internal(&intern);
Index: conv/jack/g-jack.c
===================================================================
--- conv/jack/g-jack.c	(revision 54048)
+++ conv/jack/g-jack.c	(working copy)
@@ -209,7 +209,7 @@
     jack_faces(r, fp_psurf, map);
 
     bu_ptbl_free(&vtab);
-    bu_free((char *)map, "Jack vert map");
+    bu_free((genptr_t)map, "Jack vert map");
 }
 
 
Index: conv/off/off-g.c
===================================================================
--- conv/off/off-g.c	(revision 54048)
+++ conv/off/off-g.c	(working copy)
@@ -119,8 +119,8 @@
 	if (ret > 0)
 	    bu_log("unknown parsing error\n");
 
-	bu_free((char *)vlist, "vertext list");
-	bu_free((char *)pinds, "point indices");
+	bu_free((genptr_t)vlist, "vertext list");
+	bu_free((genptr_t)pinds, "point indices");
     }
 
     for (i = 0; i < nverts; i++)
@@ -145,7 +145,7 @@
     nmg_gluefaces(outfaceuses, nfaces, &tol);
     nmg_region_a(r, &tol);
 
-    bu_free((char *)pts, "points list");
+    bu_free((genptr_t)pts, "points list");
     return 0;
 }
 
Index: conv/g-nff.c
===================================================================
--- conv/g-nff.c	(revision 54048)
+++ conv/g-nff.c	(working copy)
@@ -139,7 +139,7 @@
 
 	sofar = db_path_to_string(pathp);
 	bu_log("FAILED in triangulator: %s\n", sofar);
-	bu_free((char *)sofar, "sofar");
+	bu_free((genptr_t)sofar, "sofar");
 
 	/* Sometimes the NMG library adds debugging bits when
 	 * it detects an internal error, before bombing out.
Index: tab/tabinterp.c
===================================================================
--- tab/tabinterp.c	(revision 54048)
+++ tab/tabinterp.c	(working copy)
@@ -271,8 +271,8 @@
     /* Free intermediate dynamic memory */
  out:
     fclose(fp);
-    bu_free((char *)cnum, "cnum[]");
-    bu_free((char *)iwords, "iwords[]");
+    bu_free((genptr_t)cnum, "cnum[]");
+    bu_free((genptr_t)iwords, "iwords[]");
     bu_vls_free(&buf);
 
     if (errors)
@@ -918,12 +918,12 @@
 	    chp->c_oval[t] = yy;
 	}
     }
-    bu_free((char *)diag, "diag");
-    bu_free((char *)rrr, "rrr");
+    bu_free((genptr_t)diag, "diag");
+    bu_free((genptr_t)rrr, "rrr");
     return 1;
  bad:
-    if (diag) bu_free((char *)diag, "diag");
-    if (rrr) bu_free((char *)rrr, "rrr");
+    if (diag) bu_free((genptr_t)diag, "diag");
+    if (rrr) bu_free((genptr_t)rrr, "rrr");
     return 0;
 }
 
@@ -1032,7 +1032,7 @@
 	next_interpolate(chp);
     }
 
-    bu_free((char *)times, "loc times");
+    bu_free((genptr_t)times, "loc times");
 }
 
 
Index: libgcv/region_end_mc.c
===================================================================
--- libgcv/region_end_mc.c	(revision 54048)
+++ libgcv/region_end_mc.c	(working copy)
@@ -151,7 +151,7 @@
 
 	sofar = db_path_to_string(pathp);
 	bu_log("FAILED in triangulator: %s\n", sofar);
-	bu_free((char *)sofar, "sofar");
+	bu_free((genptr_t)sofar, "sofar");
 
 	/* Release any intersector 2d tables */
 	nmg_isect2d_final_cleanup();
Index: libgcv/region_end.c
===================================================================
--- libgcv/region_end.c	(revision 54048)
+++ libgcv/region_end.c	(working copy)
@@ -118,7 +118,7 @@
 
 	sofar = db_path_to_string(pathp);
 	bu_log("FAILED in boolean evaluation: %s\n", sofar);
-	bu_free((char *)sofar, "sofar");
+	bu_free((genptr_t)sofar, "sofar");
 
 	/* Release any intersector 2d tables */
 	nmg_isect2d_final_cleanup();
@@ -181,7 +181,7 @@
 
 	sofar = db_path_to_string(pathp);
 	bu_log("FAILED in triangulator: %s\n", sofar);
-	bu_free((char *)sofar, "sofar");
+	bu_free((genptr_t)sofar, "sofar");
 
 	/* Release any intersector 2d tables */
 	nmg_isect2d_final_cleanup();
Index: mged/muves.c
===================================================================
--- mged/muves.c	(revision 54048)
+++ mged/muves.c	(working copy)
@@ -129,7 +129,7 @@
 	sys = BU_LIST_FIRST(muves_sys, hp);
 	bu_free(sys->muves_name, "muves_sys.muves_name");
 	BU_LIST_DEQUEUE(&sys->l);
-	bu_free((char *)sys, "muves_sys");
+	bu_free((genptr_t)sys, "muves_sys");
     }
 }
 
@@ -143,7 +143,7 @@
 
 	cad = BU_LIST_FIRST(cad_comp_list, hp);
 	BU_LIST_DEQUEUE(&cad->l);
-	bu_free((char *)cad, "cad");
+	bu_free((genptr_t)cad, "cad");
     }
 }
 
@@ -158,7 +158,7 @@
 	bu_free(comp->muves_name, "muves_comp.muves_name");
 	Free_cad_list(&comp->comp_head.l);
 	BU_LIST_DEQUEUE(&comp->l);
-	bu_free((char *)comp, "muves_comp");
+	bu_free((genptr_t)comp, "muves_comp");
     }
 }
 
@@ -337,7 +337,7 @@
 	}
     }
 
-    bu_free((char *)regions, "regions");
+    bu_free((genptr_t)regions, "regions");
 
     if (new_comp) {
 	BU_LIST_INSERT(&muves_comp_head.l, &new_comp->l);
@@ -625,7 +625,7 @@
     if (e_argc > 1)
 	return edit_com(e_argc, (const char **)e_argv, 1, 0);
 
-    bu_free((char *)e_argv, "e_argv");
+    bu_free((genptr_t)e_argv, "e_argv");
 
     return TCL_OK;
 }
Index: mged/clone.c
===================================================================
--- mged/clone.c	(revision 54048)
+++ mged/clone.c	(working copy)
@@ -352,7 +352,7 @@
 	}
     }
     if (rp)
-	bu_free((char *)rp, "copy_solid record[]");
+	bu_free((genptr_t)rp, "copy_solid record[]");
 
     return;
 }
@@ -545,7 +545,7 @@
 	}
 
 	/* our responsibility to free the record */
-	bu_free((char *)rp, "deallocate copy_v4_comb() db_getmrec() record");
+	bu_free((genptr_t)rp, "deallocate copy_v4_comb() db_getmrec() record");
     }
 
     return dp;
@@ -764,11 +764,11 @@
 
  done_copy_tree:
     if (rp)
-	bu_free((char *)rp, "copy_tree record[]");
+	bu_free((genptr_t)rp, "copy_tree record[]");
     if (copyname)
-	bu_free((char *)copyname, "free get_name() copyname");
+	bu_free((genptr_t)copyname, "free get_name() copyname");
     if (nextname)
-	bu_free((char *)nextname, "free get_name() copyname");
+	bu_free((genptr_t)nextname, "free get_name() copyname");
 
     return copy;
 }
Index: mged/edsol.c
===================================================================
--- mged/edsol.c	(revision 54048)
+++ mged/edsol.c	(working copy)
@@ -4249,9 +4249,9 @@
 		} else {
 		    if (old_mode == RT_BOT_PLATE || old_mode == RT_BOT_PLATE_NOCOS) {
 			/* free the per face memory */
-			bu_free((char *)bot->thickness, "BOT thickness");
+			bu_free((genptr_t)bot->thickness, "BOT thickness");
 			bot->thickness = (fastf_t *)NULL;
-			bu_free((char *)bot->face_mode, "BOT face_mode");
+			bu_free((genptr_t)bot->face_mode, "BOT face_mode");
 			bot->face_mode = (struct bu_bitv *)NULL;
 		    }
 		}
@@ -4550,7 +4550,7 @@
 
 		sketch_name = Tcl_GetVar(INTERP, "final_sketch_name", TCL_GLOBAL_ONLY);
 		if (extr->sketch_name)
-		    bu_free((char *)extr->sketch_name, "extr->sketch_name");
+		    bu_free((genptr_t)extr->sketch_name, "extr->sketch_name");
 		extr->sketch_name = bu_strdup(sketch_name);
 
 		if (extr->skt) {
@@ -7669,11 +7669,11 @@
 	if (bot->mode == RT_BOT_SURFACE || bot->mode == RT_BOT_SOLID) {
 	    /* make sure facemodes and thicknesses have been freed */
 	    if (bot->thickness) {
-		bu_free((char *)bot->thickness, "BOT thickness");
+		bu_free((genptr_t)bot->thickness, "BOT thickness");
 		bot->thickness = NULL;
 	    }
 	    if (bot->face_mode) {
-		bu_free((char *)bot->face_mode, "BOT face_mode");
+		bu_free((genptr_t)bot->face_mode, "BOT face_mode");
 		bot->face_mode = NULL;
 	    }
 	} else {
Index: mged/chgview.c
===================================================================
--- mged/chgview.c	(revision 54048)
+++ mged/chgview.c	(working copy)
@@ -395,7 +395,7 @@
 
 	max_count = BU_PTBL_LEN(tbl) + last_opt + 1;
 	bu_ptbl_free(tbl);
-	bu_free((char *)tbl, "edit_com ptbl");
+	bu_free((genptr_t)tbl, "edit_com ptbl");
 	new_argv = (char **)bu_calloc(max_count + 1, sizeof(char *), "edit_com new_argv");
 	new_argc = bu_argv_from_string(new_argv, max_count, bu_vls_addr(&vls));
 
@@ -404,17 +404,17 @@
 	if (ret == GED_ERROR) {
 	    bu_log("ERROR: %s\n", bu_vls_addr(gedp->ged_result_str));
 	    bu_vls_free(&vls);
-	    bu_free((char *)new_argv, "edit_com new_argv");
+	    bu_free((genptr_t)new_argv, "edit_com new_argv");
 	    return ret;
 	} else if (ret == GED_HELP) {
 	    bu_log("%s\n", bu_vls_addr(gedp->ged_result_str));
 	    bu_vls_free(&vls);
-	    bu_free((char *)new_argv, "edit_com new_argv");
+	    bu_free((genptr_t)new_argv, "edit_com new_argv");
 	    return ret;
 	}
 
 	bu_vls_free(&vls);
-	bu_free((char *)new_argv, "edit_com new_argv");
+	bu_free((genptr_t)new_argv, "edit_com new_argv");
     } else {
 	bu_vls_free(&vls);
 
@@ -549,7 +549,7 @@
     }
 
     if (BU_PTBL_LEN(tbl) < 1) {
-	bu_free((char *)tbl, "tbl returned by wdb_get_by_attr");
+	bu_free((genptr_t)tbl, "tbl returned by wdb_get_by_attr");
 	return TCL_OK;
     }
 
@@ -568,8 +568,8 @@
 
     ret = edit_com((BU_PTBL_LEN(tbl) + 1), objs, 1);
     bu_ptbl_free(tbl);
-    bu_free((char *)tbl, "tbl returned by wdb_get_by_attr");
-    bu_free((char *)objs, "emuves_com objs");
+    bu_free((genptr_t)tbl, "tbl returned by wdb_get_by_attr");
+    bu_free((genptr_t)objs, "emuves_com objs");
     return ret;
 }
 
Index: mged/cmd.c
===================================================================
--- mged/cmd.c	(revision 54048)
+++ mged/cmd.c	(working copy)
@@ -1944,7 +1944,7 @@
 	bu_vls_free(&vls);
 	bu_avs_free(&avs);
 	bu_ptbl_free(tbl);
-	bu_free((char *)tbl, "cmd_lm ptbl");
+	bu_free((genptr_t)tbl, "cmd_lm ptbl");
 	return TCL_OK;
     }
 
@@ -1956,7 +1956,7 @@
     }
 
     bu_ptbl_free(tbl);
-    bu_free((char *)tbl, "cmd_lm ptbl");
+    bu_free((genptr_t)tbl, "cmd_lm ptbl");
 
     /* create a new argc and argv to pass to the cmd_ls routine */
     new_argv = (char **)bu_calloc(new_arg_count+1, sizeof(char *), "cmd_lm new_argv");
@@ -1964,7 +1964,7 @@
 
     ret = ged_ls(gedp, new_argc, (const char **)new_argv);
     bu_vls_free(&vls);
-    bu_free((char *)new_argv, "cmd_lm new_argv");
+    bu_free((genptr_t)new_argv, "cmd_lm new_argv");
 
     Tcl_AppendResult(interpreter, bu_vls_addr(gedp->ged_result_str), NULL);
 
Index: libfb/fb_obj.c
===================================================================
--- libfb/fb_obj.c	(revision 54048)
+++ libfb/fb_obj.c	(working copy)
@@ -497,7 +497,7 @@
 	pp[i+2] = pixel[2];
     }
     fb_writerect(fbop->fbo_fbs.fbs_fbp, xmin, ymin, width, height, pp);
-    bu_free((void *)pp, "free pixel array");
+    bu_free((genptr_t)pp, "free pixel array");
 
     return BRLCAD_OK;
 }
Index: libtclcad/tkImgFmtPIX.c
===================================================================
--- libtclcad/tkImgFmtPIX.c	(revision 54048)
+++ libtclcad/tkImgFmtPIX.c	(working copy)
@@ -264,7 +264,7 @@
 			     fileName, "\": ",
 			     Tcl_Eof(chan) ? "not enough data" : Tcl_PosixError(interp),
 			     (char *) NULL);
-	    bu_free((char *) pixelPtr, "PIX image");
+	    bu_free((genptr_t) pixelPtr, "PIX image");
 	    return TCL_ERROR;
 	}
 	block.height = 1;
@@ -275,7 +275,7 @@
 #endif
     }
 
-    bu_free((char *) pixelPtr, "PIX image buffer");
+    bu_free((genptr_t) pixelPtr, "PIX image buffer");
     return TCL_OK;
 }
 
Index: libtclcad/tclcad_obj.c
===================================================================
--- libtclcad/tclcad_obj.c	(revision 54048)
+++ libtclcad/tclcad_obj.c	(working copy)
@@ -10365,7 +10365,7 @@
     if (current_top->to_gop->go_prim_label_list_size) {
 	for (i = 0; i < current_top->to_gop->go_prim_label_list_size; ++i)
 	    bu_vls_free(&current_top->to_gop->go_prim_label_list[i]);
-	bu_free((void *)current_top->to_gop->go_prim_label_list, "prim_label");
+	bu_free((genptr_t)current_top->to_gop->go_prim_label_list, "prim_label");
 	current_top->to_gop->go_prim_label_list = (struct bu_vls *)0;
     }
 
@@ -12183,7 +12183,7 @@
     bu_vls_free(&temp);
 
     for (i = 0; i < ac; ++i)
-	bu_free((void *)av[i], "to_more_args_func");
+	bu_free((genptr_t)av[i], "to_more_args_func");
 
     return ret;
 }
Index: anim/anim_time.c
===================================================================
--- anim/anim_time.c	(revision 54048)
+++ anim/anim_time.c	(working copy)
@@ -281,10 +281,10 @@
 	printf("%.12e\n", end);
     }
 
-    bu_free((char *) l, "l[]");
-    bu_free((char *) x, "x[]");
-    bu_free((char *) y, "y[]");
-    bu_free((char *) z, "z[]");
+    bu_free((genptr_t) l, "l[]");
+    bu_free((genptr_t) x, "x[]");
+    bu_free((genptr_t) y, "y[]");
+    bu_free((genptr_t) z, "z[]");
     return 0;
 }
 
Index: rt/viewarea.c
===================================================================
--- rt/viewarea.c	(revision 54048)
+++ rt/viewarea.c	(working copy)
@@ -1036,7 +1036,7 @@
     if (cell) {
 	while (BU_LIST_WHILE(cellp, area, &(cell->assembly->l))) {
 	    if (cellp->name) {
-		bu_free((char *)cellp->name, "view_end assembly name free");
+		bu_free((genptr_t)cellp->name, "view_end assembly name free");
 	    }
 	    if (rtarea_compute_centers) {
 		if (cellp->exp_points) {
Index: rt/viewcheck.c
===================================================================
--- rt/viewcheck.c	(revision 54048)
+++ rt/viewcheck.c	(working copy)
@@ -179,7 +179,7 @@
 		if (depth > op->maxdepth)
 		    op->maxdepth = depth;
 		bu_semaphore_release(BU_SEM_SYSCALL);
-		bu_free((char *) new_op, "overlap list");
+		bu_free((genptr_t) new_op, "overlap list");
 		return 0;	/* already on list */
 	    }
 	}
@@ -386,7 +386,7 @@
 	while (op) {
 	    /* free struct */
 	    nextop = op->next;
-	    bu_free((char *)op, "overlap_list");
+	    bu_free((genptr_t)op, "overlap_list");
 	    op = nextop;
 	}
 	olist = (struct overlap_list *)NULL;
Index: rt/view.c
===================================================================
--- rt/view.c	(revision 54048)
+++ rt/view.c	(working copy)
@@ -758,7 +758,7 @@
 	mlib_free(regp);
     }
     if (env_region.reg_mfuncs) {
-	bu_free((char *)env_region.reg_name, "env_region.reg_name");
+	bu_free((genptr_t)env_region.reg_name, "env_region.reg_name");
 	env_region.reg_name = (char *)0;
 	mlib_free(&env_region);
     }
Index: libbn/sphmap.c
===================================================================
--- libbn/sphmap.c	(revision 54048)
+++ libbn/sphmap.c	(working copy)
@@ -38,21 +38,21 @@
 	return;
 
     if (mp->_data != NULL) {
-	(void) bu_free((char *)mp->_data, "sph _data");
+	(void) bu_free((genptr_t)mp->_data, "sph _data");
 	mp->_data = NULL;
     }
 
     if (mp->nx != NULL) {
-	(void) bu_free((char *)mp->nx, "sph nx");
+	(void) bu_free((genptr_t)mp->nx, "sph nx");
 	mp->nx = NULL;
     }
 
     if (mp->xbin != NULL) {
-	(void) bu_free((char *)mp->xbin, "sph xbin");
+	(void) bu_free((genptr_t)mp->xbin, "sph xbin");
 	mp->xbin = NULL;
     }
 
-    (void) bu_free((char *)mp, "bn_spm_map_t");
+    (void) bu_free((genptr_t)mp, "bn_spm_map_t");
 }
 
 
@@ -299,7 +299,7 @@
 	    *cp++ = (unsigned char)(blue/count);
 	}
     }
-    (void) bu_free((char *)buffer, "bn_spm buffer");
+    (void) bu_free((genptr_t)buffer, "bn_spm buffer");
 
     return 0;
 }
Index: libbu/hist.c
===================================================================
--- libbu/hist.c	(revision 54048)
+++ libbu/hist.c	(working copy)
@@ -39,7 +39,7 @@
     BU_CK_HIST(histp);
 
     if (histp->hg_bins)
-	bu_free((char *)histp->hg_bins, "old bu_hist bins");
+	bu_free((genptr_t)histp->hg_bins, "old bu_hist bins");
     histp->hg_bins = (long *)0;
     histp->hg_nbins = 0;
     histp->magic = (unsigned int)-1;	/* sanity */
Index: libbu/argv.c
===================================================================
--- libbu/argv.c	(revision 54048)
+++ libbu/argv.c	(working copy)
@@ -170,12 +170,12 @@
 
     for (i = 0; i < argc; ++i) {
 	if (argv[i]) {
-	    bu_free((void *)argv[i], "bu_free_argv");
+	    bu_free((genptr_t)argv[i], "bu_free_argv");
 	    argv[i] = NULL; /* sanity */
 	}
     }
 
-    bu_free((void *)argv, "bu_free_argv");
+    bu_free((genptr_t)argv, "bu_free_argv");
     argv = NULL;
 }
 
@@ -318,7 +318,7 @@
 	av[i] = (char *)0;
 	--*ac;
     }
-    bu_free((void *)newstr, "bu_argv_from_path");
+    bu_free((genptr_t)newstr, "bu_argv_from_path");
 
     return av;
 }
Index: libbu/bitv.c
===================================================================
--- libbu/bitv.c	(revision 54048)
+++ libbu/bitv.c	(working copy)
@@ -105,7 +105,7 @@
     BU_CK_BITV(bv);
 
     bv->l.forw = bv->l.back = BU_LIST_NULL;	/* sanity */
-    bu_free((char *)bv, "struct bu_bitv");
+    bu_free((genptr_t)bv, "struct bu_bitv");
 }
 
 
Index: libbu/parse.c
===================================================================
--- libbu/parse.c	(revision 54048)
+++ libbu/parse.c	(working copy)
@@ -149,7 +149,7 @@
 		break;
 	    default:
 		/* Unknown */
-		bu_free((char *) ext->ext_buf, "output ext_buf");
+		bu_free((genptr_t) ext->ext_buf, "output ext_buf");
 		return 0;
 	}
 	/* [0] == '%', use printf-like format char */
@@ -264,7 +264,7 @@
 		}
 		continue;
 	    default:
-		bu_free((char *) ext->ext_buf, "output ext_buf");
+		bu_free((genptr_t) ext->ext_buf, "output ext_buf");
 		return 0;
 	}
     }
Index: libbu/vfont.c
===================================================================
--- libbu/vfont.c	(revision 54048)
+++ libbu/vfont.c	(working copy)
@@ -95,7 +95,7 @@
 	fprintf(stderr, "vfont_get(%s):  bitmap read error\n", fname);
 	fclose(fp);
 	bu_free(vfp->vf_bits, "vfont bits");
-	bu_free((char *)vfp, "vfont");
+	bu_free((genptr_t)vfp, "vfont");
 	return VFONT_NULL;
     }
 
@@ -128,7 +128,7 @@
 vfont_free(register struct vfont *vfp)
 {
     bu_free(vfp->vf_bits, "vfont bits");
-    bu_free((char *)vfp, "vfont");
+    bu_free((genptr_t)vfp, "vfont");
 }
 
 
Index: burst/Mm.h
===================================================================
--- burst/Mm.h	(revision 54048)
+++ burst/Mm.h	(working copy)
@@ -35,9 +35,9 @@
 #include "bu.h"
 
 #define MmAllo(typ)		(typ *) bu_malloc(sizeof(typ), BU_FLSTR)
-#define MmFree(typ, ptr) bu_free((char *) ptr, BU_FLSTR)
+#define MmFree(typ, ptr) bu_free((genptr_t) ptr, BU_FLSTR)
 #define MmVAllo(ct, typ)	(typ *) bu_malloc((ct)*sizeof(typ), BU_FLSTR)
-#define MmVFree(ct, typ, ptr) bu_free((char *) ptr, BU_FLSTR)
+#define MmVFree(ct, typ, ptr) bu_free((genptr_t) ptr, BU_FLSTR)
 #define MmStrDup(str) bu_strdup(str)
 #define MmStrFree(str) bu_free(str, BU_FLSTR)
 
Index: libwdb/reg.c
===================================================================
--- libwdb/reg.c	(revision 54048)
+++ libwdb/reg.c	(working copy)
@@ -177,7 +177,7 @@
     /* rebuild the tree with GIFT semantics */
     comb->tree = (union tree *)db_mkgift_tree(tree_list, node_count, &rt_uniresource);
 
-    bu_free((char *)tree_list, "mk_tree_gift: tree_list");
+    bu_free((genptr_t)tree_list, "mk_tree_gift: tree_list");
 
     return 0;	/* OK */
 }
@@ -242,8 +242,8 @@
     while (BU_LIST_WHILE(wp, wmember, headp)) {
 	WDB_CK_WMEMBER(wp);
 	BU_LIST_DEQUEUE(&wp->l);
-	bu_free((char *)wp->wm_name, "wm_name");
-	bu_free((char *)wp, "wmember");
+	bu_free((genptr_t)wp->wm_name, "wm_name");
+	bu_free((genptr_t)wp, "wmember");
     }
 }
 
Index: libwdb/pipe.c
===================================================================
--- libwdb/pipe.c	(revision 54048)
+++ libwdb/pipe.c	(working copy)
@@ -91,7 +91,7 @@
 
     while (BU_LIST_WHILE(wp, wdb_pipept, headp)) {
 	BU_LIST_DEQUEUE(&wp->l);
-	bu_free((char *)wp, "mk_pipe_free");
+	bu_free((genptr_t)wp, "mk_pipe_free");
     }
 }
 
